gne des attributs.  Si aucun NOM n'est donné,
    affiche les attributs et les valeurs de toutes les variables.
    
    Options :
      -f	restreint l'action ou l'affichage aux noms et définitions de fonctions
      -F	restreint l'affichage aux noms des fonctions uniquement (avec le numéro de ligne
    		et le fichier source lors du débogage)
      -g	crée des variables globales lorsqu'utilisée dans une fonction shell ; ignoré sinon
      -I	lors de la création d'une variable, hérite des attributs et valeur d'une variable
    		portant le même nom dans une portée précédente
      -p	affiche les attributs et la valeur de chaque NOM
    
    Options qui définissent des attributs :
      -a	pour faire de NOMs des tableaux indexés (si pris en charge)
      -A	pour faire de NOMs des tableaux associatifs (si pris en charge)
      -i	pour assigner l'attribut « integer » aux NOMs
      -l	pour convertir la valeur de chaque NOM en minuscules lors de l'affectation
      -n	transforme NOM en une référence vers une variable nommée d'après sa valeur
      -r	pour mettre les NOMs en lecture seule
      -t	pour permettre aux NOMs d'avoir l'attribut « trace »
      -u	pour convertir les NOMs en majuscules lors de l'affectation
      -x	pour permettre aux NOMs de s'exporter
    
    Utiliser « + » au lieu de « - » pour désactiver l'attribut.
    
    Les variables avec l'attribut « integer » ont une évaluation arithmétique (voir
    la commande « let ») effectuée lorsqu'une valeur est affectée à la variable.
    
    Lorsqu'utilisée dans une fonction, « declare » permet aux NOMs d'être locaux,
    comme avec la commande « local ». L'option « -g » supprime ce comportement.
    
    Code de retour :
    Renvoie le code de succès à moins qu'une option non valable soit fournie ou qu'une
    erreur survienne lors de l'assignation d'une variable.